<?php
/*---------------------------------------------------+
| SEO Tags mod 1.0.0
| by Len Johnson http://www.web-bureau.com/
| For PHP-Fusion Content Management System v6.01.x
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

function seo_tags($article_id,$cat_id,$readmore,$forum_id,$thread_id,$db_prefix,$page_id) {

	$locale['seo_t100'] = 'Straipsniai'. ' - ';
	$locale['seo_t101'] = 'Siuntiniai'. ' - ';
	$locale['seo_t102'] = 'Naujienos'. ' - ';
	$locale['seo_t103'] = 'Nuorodos'. ' - ';
	$locale['seo_t104'] = 'Kontaktai'. ' - ';
	$locale['seo_t105'] = 'DUK' . ' - ';
	$locale['seo_t106'] = 'Paieka' . ' - ';
	$locale['seo_t107'] = 'Foto galerija' . ' - ';
	$locale['seo_t108'] = 'Forumas' . ' - ';
	$locale['seo_t109'] = 'AmazECS Demo' . ' - ';

	if (isNum($article_id) && (FUSION_SELF == 'readarticle.php')) {
	    $result = dbquery("SELECT article_subject,article_snippet FROM ".$db_prefix."articles WHERE article_id='$article_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['article_subject'] . ' - ';
            $page['keywords'] .= $data['article_subject'] . ' ' . $data['article_snippet'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['article_snippet']);
	    }
	}

	if (isNum($page_id) && (FUSION_SELF == 'viewpage.php')) {
	    $result = dbquery("SELECT page_title FROM ".$db_prefix."custom_pages WHERE page_id='$page_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['page_title'] . ' - ';
            $page['keywords'] .= $data['page_title'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);
	    }
	}
	elseif (isNum($cat_id) && (FUSION_SELF == 'articles.php')) {
	    $result = dbquery("SELECT article_cat_name,article_cat_description FROM ".$db_prefix."article_cats WHERE article_cat_id ='$cat_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['article_cat_name'] . ' - ';
            $page['keywords'] .= $data['article_cat_name'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['article_cat_description']);
	    }
	}
	elseif (isNum($readmore) && (FUSION_SELF == 'news.php')) {
	    $result = dbquery("SELECT news_subject,news_news FROM ".$db_prefix."news WHERE news_id ='$readmore'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['news_subject'] . ' - ';
            $page['keywords'] .= $data['news_subject'] . ' ' . $data['news_news'];
            $page['keywords'] = trimlink($page['keywords'], 100);
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['news_news']) . '.';
            $page['description'] = trimlink($page['description'], 150);
	    }
	}
	elseif (isNum($cat_id) && (FUSION_SELF == 'faq.php')) {
	        $page['title'] =  $locale['seo_t105'].' - ';
	}
	elseif (isNum($forum_id) && (stristr($_SERVER['REQUEST_URI'],'/forum/viewforum.php?'))) {
	    $result = dbquery("SELECT forum_name,forum_description FROM ".$db_prefix."forums WHERE forum_id ='$forum_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['forum_name'] . ' - ';
            $page['keywords'] .= $data['forum_name'] . ' ' . $data['forum_description'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= $data['forum_name'] . ' ' . stripinput($data['forum_description']);
	    }
	}
	elseif (isNum($forum_id) && isNum($thread_id) && (stristr($_SERVER['REQUEST_URI'],'/forum/viewthread.php?'))) {
	    $result = dbquery("SELECT  thread_subject FROM ".$db_prefix."threads
	    WHERE forum_id ='$forum_id'
	    AND  thread_id = '$thread_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['thread_subject'] . ' - ';
            $page['keywords'] .= $data['thread_subject'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['thread_subject']);
	    }
	}
	elseif (isNum($cat_id) && (FUSION_SELF == 'news_cats.php')) {
	    $result = dbquery("SELECT news_cat_name FROM ".$db_prefix."news_cats WHERE news_cat_id ='$cat_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['news_cat_name'] . ' - ';
            $page['keywords'] .= $data['news_cat_name'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['news_cat_name']) . ' News.';
	    }
	}
	elseif (isNum($cat_id) && (FUSION_SELF == 'downloads.php')) {
	    $result = dbquery("SELECT download_cat_name,download_cat_description FROM ".$db_prefix."download_cats WHERE download_cat_id ='$cat_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['download_cat_name'] . ' - ';
            $page['keywords'] .= $data['download_cat_name'] . ' ' . $data['download_cat_description'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['download_cat_description']);
	    }
	}
	elseif (isNum($cat_id) && (FUSION_SELF == 'weblinks.php')) {
	    $result = dbquery("SELECT weblink_cat_name,weblink_cat_description  FROM ".$db_prefix."weblink_cats WHERE weblink_cat_id  ='$cat_id'");
	    while ($data = dbarray($result)) {
	        $page['title'] =  $data['weblink_cat_name'] . ' - ';
            $page['keywords'] .= $data['weblink_cat_name'] . ' ' . $data['weblink_cat_description'];
            $page['keywords'] = strtolower($page['keywords']);
            $page['keywords'] = stripinput($page['keywords']);

            $page['description'] .= stripinput($data['weblink_cat_description']);
	    }
	}
	elseif ((!isset($cat_id)) && (!isset($article_id)) ) {

	    if (stristr($_SERVER['REQUEST_URI'],'/forum/index.php') || stristr($_SERVER['REQUEST_URI'],'/forum/') || stristr($_SERVER['REQUEST_URI'],'/forum')){
	    $page['title'] =  $locale['seo_t108'];
	    }
	    elseif (stristr($_SERVER['REQUEST_URI'],'/infusions/amazecs/index.php') || stristr($_SERVER['REQUEST_URI'],'/infusions/amazecs/') || stristr($_SERVER['REQUEST_URI'],'/infusions/amazecs')) {
	        $page['title'] =  $locale['seo_t109'];
	    }
	    elseif (FUSION_SELF == 'articles.php') {
	        $page['title'] =  $locale['seo_t100'];
	    }
	    elseif (FUSION_SELF == 'downloads.php') {
	        $page['title'] =  $locale['seo_t101'];
	    }
	    elseif (FUSION_SELF == 'news_cats.php') {
	        $page['title'] =  $locale['seo_t102'];
	    }

	    elseif (FUSION_SELF == 'news.php') {
	        $page['title'] =  '';
	    }

	    elseif (FUSION_SELF == 'index.php' ) {
	        $page['title'] =  '';
	    }
	    elseif (FUSION_SELF == 'weblinks.php') {
	        $page['title'] =  $locale['seo_t103'];
	    }
	    elseif (FUSION_SELF == 'contact.php') {
	        $page['title'] =  $locale['seo_t104'];
	    }
	    elseif (FUSION_SELF == 'faq.php') {
	        $page['title'] =  $locale['seo_t105'];
	    }
	    elseif (FUSION_SELF == 'search.php') {
	        $page['title'] =  $locale['seo_t106'];
	    }
	    elseif (FUSION_SELF == 'photogallery.php') {
	        $page['title'] =  $locale['seo_t107'];
	    }
	    elseif ($page_title) {
	        $page['title'] = $page_title;
	    }
	    elseif ($page_title) {
	        $page['title'] =  $page_title;
	    }
	    else {
	        $page['title'] =  '';
	    }
	}
 return $page;
}
?>